<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
			window.addEventListener("load", function(){
				let p=palabra();
				console.log("en la palabra "+p+" la posicion 3 es "+ p[2]);
				//console.log(generaCuadros(p));
				generaCuadros(p);
				console.log("prueba ascii, la 'a' vale "+parseInt("a"));
				
				
			//base de datos de 10 palabras
			function palabra(){
				let palabras=["casa", "perro", "coche", "moto"];
					//palabras se recogeran de manera aleatoria
					return palabras[Math.floor((Math.random() * 4) + 0)];
			}

			//apareceran tantos cuadros como tenga la palabra
			function generaCuadros(palab){
				let codigoCuadros="";//preguntar duda, si no pongo =""; aparece unndeined en el html y en la consola
					for(let i = 0; i < palab.length; i++){
						codigoCuadros+='<div class="letrasCuadro">'+palab[i]+'</div>';
					}
				divC=document.querySelector("#divCuadrosPalabra");
				divC.innerHTML=codigoCuadros;
			}


		});
	</script>
	<style type="text/css" media="screen">
		.letrasCuadro{
			float: left;
			border: 1px solid black;
			width: 20px;
			text-align: center;
		}
	</style>
</head>
<body>
	<div id="contenedor">
		<div id="divCuadrosPalabra">
			
		</div>
	</div>
</body>
</html>